#include <Foundation/NSString.h>
@interface NSFramework_FT : NSObject
+ (NSString *)frameworkEnv;
+ (NSString *)frameworkPath;
+ (NSString *)frameworkVersion;
+ (NSString *const*)frameworkClasses;
@end
@implementation NSFramework_FT
+ (NSString *)frameworkEnv { return nil; }
+ (NSString *)frameworkPath { return @"/usr/lib64/GNUstep/Frameworks"; }
+ (NSString *)frameworkVersion { return @"0"; }
static NSString *allClasses[] = {@"FTAdministrationSessionImpl", @"FTBootstrap", @"FTDefaultObjectToIdMapper", @"FTDefaultServiceEnvironment", @"FTDefaultServiceManagerImpl", @"FTDictionaryServiceAvailability", @"FTDictionaryServiceLoader", @"FTDictionaryServiceStorageException", @"FTDictionaryServiceForGraphImpl", @"_FTDictionaryServiceKeysOfNode", @"FTDictionaryServiceForNodeImpl", @"FTDictionaryServiceTransactionStepImpl", @"FTEdgeImpl", @"FTDatabaseCreationFailedException", @"FTDatabaseUpdateException", @"FTException", @"FTGraphRemoveException", @"FTInternalDatamanagementException", @"FTTransactionStepException", @"FTUnknownException", @"FTGenericDictionaryProviderImpl", @"FTGenericTransactionOptimizer", @"__FTAnalyseTransactionSteps", @"FTGraphImpl", @"FTGraphImplTransactions", @"FTGraphManagerImpl", @"FTIdImpl", @"FTIdToNodeIterator", @"FTNodeImpl", @"FTObject", @"FTOrderedEdgeSetImpl", @"__FTOrderedEdgeSetFilter", @"FTOrderedReferenceSetImpl", @"FTReferenceImpl", @"FTServerImpl", @"FTServerNotification", @"FTSessionImpl", @"FTSessionManagerImpl", @"FTSystemDictionary", @"FTTransactionContext", @"FTTransactionImpl", @"FTTransactionStepAndContext", @"FTTransactionManagerImpl", @"FTTransactionUndoStack", @"FTVersionImpl", @"FTClassObjectFactory", @"FTConfig", @"FTConfigDatabaseName", @"FTConfigDatabaseNames", @"FTConfigServiceLoaders", @"FTConfigServices", @"FTRegisterClassObject", @"FTLogging", @"FTGraphNodeIteratorImpl", @"FTPersistentSetImpl", @"_FTPersistentSetChunk", @"_FTPersistentSetChunkIterator", @"_FTPersistentSetIterator", @"_FTPersistentSetTransactionStep", NULL};
+ (NSString *const*)frameworkClasses { return allClasses; }
@end
